低危 Digium Asterisk 安全漏洞

CVE编号

CVE-2019-7251

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-03-29
漏洞描述
Digium Asterisk 15.7.1及更早版本和16.1.1及更早版本的res_pjsip_sdp_rtp模块中的整数签名问题(返回代码)允许远程通过身份验证的用户通过特制的SDP协议冲突来崩溃Asterisk。

解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:
https://www.asterisk.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 digium asterisk * From
(including)
15.0.0
Up to
(excluding)
15.7.2
运行在以下环境
应用 digium asterisk * From
(including)
16.0.0
Up to
(excluding)
16.2.1
运行在以下环境
系统 alpine_3.10 asterisk * Up to
(excluding)
16.3.0-r0
运行在以下环境
系统 alpine_3.11 asterisk * Up to
(excluding)
16.3.0-r0
运行在以下环境
系统 alpine_3.12 asterisk * Up to
(excluding)
16.3.0-r0
运行在以下环境
系统 alpine_3.13 asterisk * Up to
(excluding)
16.3.0-r0
运行在以下环境
系统 alpine_3.14 asterisk * Up to
(excluding)
16.3.0-r0
运行在以下环境
系统 alpine_3.15 asterisk * Up to
(excluding)
16.3.0-r0
运行在以下环境
系统 alpine_3.7 asterisk * Up to
(excluding)
15.6.2-r0
运行在以下环境
系统 alpine_3.8 asterisk * Up to
(excluding)
15.6.2-r0
运行在以下环境
系统 alpine_3.9 asterisk * Up to
(excluding)
15.7.4-r0
运行在以下环境
系统 alpine_edge asterisk * Up to
(excluding)
16.3.0-r0
运行在以下环境
系统 fedora_29 asterisk * Up to
(excluding)
16.2.1-1.fc29
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-190 整数溢出或超界折返
阿里云安全产品覆盖情况